> ## Documentation Index
> Fetch the complete documentation index at: https://docs.askvideos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer Query From Videos



## OpenAPI

````yaml openapi.json get /index/{index_name}/answer
openapi: 3.1.0
info:
  title: AskVideos
  version: 0.1.0
servers: []
security: []
paths:
  /index/{index_name}/answer:
    get:
      summary: Answer Query From Videos
      operationId: answer_query_from_videos_index__index_name__answer_get
      parameters:
        - name: index_name
          in: path
          required: true
          schema:
            type: string
            title: Index Name
        - name: query
          in: query
          required: true
          schema:
            type: string
            description: The query to answer
            title: Query
          description: The query to answer
        - name: video_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Video Ids
        - name: mode
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: rag
            title: Mode
        - name: system_prompt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional system prompt
            title: System Prompt
          description: Optional system prompt
        - name: use_markdown
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Use markdown for response
            default: true
            title: Use Markdown
          description: Use markdown for response
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````